#ifndef DHT_H
#define DHT_H
#include <avr/io.h>
#include <inttypes.h>
#include <avr/interrupt.h>
#include <wiring.h>
typedef uint8_t boolean;

/* DHT library 

MIT license
written by Adafruit Industries
*/

// how many timing transitions we need to keep track of. 2 * number bits + extra
#define MAXTIMINGS 85

class DHT {
 private:
  uint8_t data[6];
  uint8_t _pin;
  boolean read(void);
  unsigned long _lastreadtime;
  boolean firstreading;

 public:
  DHT(uint8_t pin);
  void begin(void);
  float readTemperature(void);
  float readHumidity(void);

};
#endif
